osgPresentation::SlideShowConstructor::VolumeData Struct Reference

`#include <SlideShowConstructor>`

## Public Types

typedef osgVolume::VolumeSettings::ShadingModel | ShadingModel
typedef osgVolume::VolumeSettings::Technique | Technique

## Public Member Functions

| VolumeData ()

## Public Attributes

osg::ref_ptr< osgVolume::VolumeSettings > | volumeSettings
std::string | options
ShadingModel | shadingModel
osg::ref_ptr< osg::TransferFunction1D > | transferFunction
bool | useTabbedDragger
bool | useTrackballDragger
std::string | region
bool | region_in_pixel_coords
std::string | alphaValue
std::string | cutoffValue
std::string | exteriorTransparencyFactorValue
std::string | sampleDensityValue
std::string | sampleDensityWhenMovingValue
std::string | sampleRatioValue
std::string | sampleRatioWhenMovingValue
osg::ColorSpaceOperation | colorSpaceOperation
osg::Vec4 | colorModulate
Technique | technique
std::string | hull
PositionData | hullPositionData

## Member Typedef Documentation

## ShadingModel

typedef osgVolume::VolumeSettings::ShadingModel osgPresentation::SlideShowConstructor::VolumeData::ShadingModel

## Technique

typedef osgVolume::VolumeSettings::Technique osgPresentation::SlideShowConstructor::VolumeData::Technique

## Constructor & Destructor Documentation

## VolumeData()

osgPresentation::SlideShowConstructor::VolumeData::VolumeData | ( |  | ) |

inline

References alphaValue, colorModulate, colorSpaceOperation, cutoffValue, exteriorTransparencyFactorValue, hullPositionData, osgPresentation::SlideShowConstructor::MODEL, region_in_pixel_coords, sampleDensityValue, sampleRatioValue, shadingModel, technique, useTabbedDragger, and useTrackballDragger.

## Member Data Documentation

## alphaValue

std::string osgPresentation::SlideShowConstructor::VolumeData::alphaValue

Referenced by VolumeData().

## colorModulate

osg::Vec4 osgPresentation::SlideShowConstructor::VolumeData::colorModulate

Referenced by VolumeData().

## colorSpaceOperation

osg::ColorSpaceOperation osgPresentation::SlideShowConstructor::VolumeData::colorSpaceOperation

Referenced by VolumeData().

## cutoffValue

std::string osgPresentation::SlideShowConstructor::VolumeData::cutoffValue

Referenced by VolumeData().

## exteriorTransparencyFactorValue

std::string osgPresentation::SlideShowConstructor::VolumeData::exteriorTransparencyFactorValue

Referenced by VolumeData().

## hull

std::string osgPresentation::SlideShowConstructor::VolumeData::hull

## hullPositionData

PositionData osgPresentation::SlideShowConstructor::VolumeData::hullPositionData

Referenced by VolumeData().

## options

std::string osgPresentation::SlideShowConstructor::VolumeData::options

## region

std::string osgPresentation::SlideShowConstructor::VolumeData::region

## region_in_pixel_coords

bool osgPresentation::SlideShowConstructor::VolumeData::region_in_pixel_coords

Referenced by VolumeData().

## sampleDensityValue

std::string osgPresentation::SlideShowConstructor::VolumeData::sampleDensityValue

Referenced by VolumeData().

## sampleDensityWhenMovingValue

std::string osgPresentation::SlideShowConstructor::VolumeData::sampleDensityWhenMovingValue

## sampleRatioValue

std::string osgPresentation::SlideShowConstructor::VolumeData::sampleRatioValue

Referenced by VolumeData().

## sampleRatioWhenMovingValue

std::string osgPresentation::SlideShowConstructor::VolumeData::sampleRatioWhenMovingValue

## shadingModel

ShadingModel osgPresentation::SlideShowConstructor::VolumeData::shadingModel

Referenced by VolumeData().

## technique

Technique osgPresentation::SlideShowConstructor::VolumeData::technique

Referenced by VolumeData().

## transferFunction

osg::ref_ptr<osg::TransferFunction1D> osgPresentation::SlideShowConstructor::VolumeData::transferFunction

## useTabbedDragger

bool osgPresentation::SlideShowConstructor::VolumeData::useTabbedDragger

Referenced by VolumeData().

## useTrackballDragger

bool osgPresentation::SlideShowConstructor::VolumeData::useTrackballDragger

Referenced by VolumeData().

## volumeSettings

osg::ref_ptr<osgVolume::VolumeSettings> osgPresentation::SlideShowConstructor::VolumeData::volumeSettings

The documentation for this struct was generated from the following file:

- SlideShowConstructor